    //
//  iPadHelloWorldVC.m
//  HelloWorld
//
//  Created by Ken Anderson on 2/22/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "iPadHelloWorldVC.h"


@implementation iPadHelloWorldVC

@synthesize name;

- (IBAction) sayHello: (id) sender {
	NSString *greeting = [[NSString alloc] initWithFormat:@"Hello, %@", [[self name] text]];
	UIAlertView *alert = [[UIAlertView alloc]
						  initWithTitle:@"Hello World!"
						  message:greeting
						  delegate:self
						  cancelButtonTitle:@"Ok!"
						  otherButtonTitles:nil];
	[alert show];
	[greeting release];
	[alert release];
}

- (IBAction) doneEditing: (id) sender {
	[sender resignFirstResponder];
}


 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Overriden to allow any orientation.
    return YES;
}


- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}


- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
