//
//  ImageSwitcherViewController.h
//  ImageSwitcher
//
//  Created by Ken Anderson on 3/7/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface ImageSwitcherViewController : UIViewController {
	IBOutlet UIPageControl *pages;
	IBOutlet UIImageView *one;
	IBOutlet UIImageView *two;
	UIImageView *front, *back;
	NSInteger current;
}

@property (nonatomic, retain) UIPageControl *pages;
@property (nonatomic, retain) UIImageView *one;
@property (nonatomic, retain) UIImageView *two;

- (void) pageTurning: (UIPageControl *) pager;

@end

